#ifndef SETTINGS_H
#define SETTINGS_H

#include "../modes/modes.h"
#include "../modes/pulser.h"

struct probe_settings {
	enum probe_mode mode;
	enum pulser_rates pulser_rate;
	unsigned int square_wave_frequency;
};

// Global settings.
extern struct probe_settings settings;

// Loads settings from EEPROM.
void settings_load(void);

// Saves settings to EEPROM.
void settings_save(void);

#endif