#ifndef ISR_H
#define ISR_H

enum TMR0_INTERRUPT_MODES {
	TMR0_INTERRUPT_MODE_DISPLAY_OUTPUT_SEGMENT,
	TMR0_INTERRUPT_MODE_SQUARE_WAVE,
};

extern volatile unsigned int tmr1_overflow;

extern enum TMR0_INTERRUPT_MODES tmr0_interrupt_mode;

// Frequency of the square wave.
unsigned int square_wave_frequency;
// Reference base frequency of the square wave.
unsigned int square_wave_reference_frequency;
// Square wave accumulator.
volatile int square_wave_accumulator;

#endif